/* maker code */
#define VICTOR_TV_A  0x00
#define VICTOR_TV_B  0x01
#define VICTOR_TV_C  0x02
#define VICTOR_VTR_A 0x08
#define VICTOR_VTR_B 0x09
#define VICTOR_VTR_C 0x0A

#define SANYO_TV_A  0x10
#define SANYO_TV_B  0x11
#define SANYO_TV_C  0x12
#define SANYO_VTR_A 0x18
#define SANYO_VTR_B 0x19
#define SANYO_VTR_C 0x1A
#define SANYO_VTR_D 0x1B

#define SHARP_TV_A  0x20
#define SHARP_TV_B  0x21
#define SHARP_VTR_A 0x28
#define SHARP_VTR_B 0x29
#define SHARP_VTR_C 0x2A

#define FGENERAL_TV_A 0x30
#define FGENERAL_TV_B 0x31

#define SONY_TV    0x40
#define SONY_VTR_A 0x48
#define SONY_VTR_B 0x49
#define SONY_VTR_C 0x4A

#define TOSHIBA_TV    0x50
#define TOSHIBA_VTR_A 0x58
#define TOSHIBA_VTR_B 0x59

#define NEC_TV    0x60
#define NEC_VTR_A 0x68
#define NEC_VTR_B 0x69

#define HITACHI_TV    0x70
#define HITACHI_VTR_A 0x78
#define HITACHI_VTR_B 0x79

#define MATSUSHITA_TV_A  0x80
#define MATSUSHITA_TV_B  0x81
#define MATSUSHITA_VTR_A 0x88
#define MATSUSHITA_VTR_B 0x89
#define MATSUSHITA_VTR_C 0x8A

#define MITSUBISHI_TV    0x90
#define MITSUBISHI_VTR_A 0x98
#define MITSUBISHI_VTR_B 0x99
#define MITSUBISHI_VTR_C 0x9A
#define MITSUBISHI_VTR_D 0x9B

/* operation command */
#define TV_POWER 0x00
#define TV_CH_UP 0x01
#define TV_CH_DOWN 0x02
#define TV_VOL_UP 0x03
#define TV_VOL_DOWN 0x04
#define TV_SELECT 0x05

#define VTR_POWER 0x10
#define VTR_REW 0x11
#define VTR_PLAY 0x12
#define VTR_FF 0x13
#define VTR_REC 0x14
#define VTR_STOP 0x15
#define VTR_PAUSE 0x16
#define VTR_CH_UP 0x17
#define VTR_CH_DOWN 0x18
#define VTR_SELECT 0x19

/* for function prototypes */
#ifdef STDC_HEADERS
# define P__(x) x
#else
# define P__(x) ()
#endif

void	Exit P__((int));

#ifdef BINARYFILEMODE
#define WMODE "wb"
#define RMODE "rb"
#else
#define WMODE "w"
#define RMODE "r"
#endif


/* ------------------------------------------------ */

/* tty device */
/* linux	"/dev/cua1" */
/* NEWS-OS 4.2  "/dev/tty00" */
/* NEWS-OS 6.X	"/dev/term/00" */
/* EWS4800	"/dev/term/00" */
/* SunOS 4.1.4	"/dev/ttya" */
/* Solaris2.3	"/dev/ttya" */
/* BSD/OS 2.0	"/dev/tty01" */
/* FreeBSD      "/dev/cuaa0" */
/* Windows NT "COM2" */
/* NEXTSTEP "/dev/ttya" */
/* IRIX  "/dev/ttyf1" */

#if defined(WIN32) || defined(OS2)
#define RSPORT "COM1"
#else 
#ifdef DOS
#define RSPORT "AUX1"
#else
#define RSPORT	"/dev/cua1"     
#endif 
#endif 

#define DEFAULTBAUD B9600

/* default maker code */
#define DEFAULT_MAKER SONY_VTR_B

#define IRRECORDBUF 1024

/* duration of command to command (microsecond) */
#define WAITTIME 300000 
